## org.hornetq.api.core.client.loadbalance
Interface ConnectionLoadBalancingPolicy

All Known Implementing Classes:
  FirstElementConnectionLoadBalancingPolicy, RandomConnectionLoadBalancingPolicy, RandomStickyConnectionLoadBalancingPolicy, RoundRobinConnectionLoadBalancingPolicy

    public interface ConnectionLoadBalancingPolicy

A ConnectionLoadBalancingPolicy defines a policy to load balance between connections.

Author:
  Tim Fox

Method Summary
`int` `select(int max)` Returns the selected index according to the policy implementation.

Method Detail

### select

    int select(int max)

  Returns the selected index according to the policy implementation.

  Parameters:
    `max` - maximum position index that can be selected

Copyright © 2009 Red Hat Inc. All Rights Reserved.